Name: x11-util-macros
BuildArch: noarch
Summary: Macro used for X.org development
Version: 1.2.2
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/util/util-macros-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

%description
Macros used for X.org development

%prep
echo %{buildroot}
%setup -q -n util-macros-%{version}

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/aclocal/xorg-macros.m4


%changelog
* Fri Jun 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.2.2-1mdv2010.0
+ Revision: 387309
- update to version 1.2.2

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 321322
- New version: 1.2.1

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-2mdv2009.0
+ Revision: 266066
- rebuild early 2009.0 package (before pixel changes)

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.6-1mdv2009.0
+ Revision: 192829
- Update to version 1.1.6.

* Wed Feb 13 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.5-5mdv2008.1
+ Revision: 167173
- Revert to use upstream tarball, build requires and remove non mandatory patches.

* Wed Dec 26 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.1.5-4mdv2008.1
+ Revision: 137948
- Properly use tag util-macros-1.1.5 to generate tarball, and update to
  generate patches from that point.
- Fix documentation comment in spec file.
- Update x11-util-macros, required/used by all modules

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.5-3mdv2008.1
+ Revision: 98601
- spec cleanup (fix description and packager tags)


* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.1.5-2mdv2007.0
+ Revision: 122427
- rebuild just for fun

* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.5-1mdv2007.1
+ Revision: 116434
- new upstream version: 1.1.5

* Wed Aug 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-1mdv2007.0
+ Revision: 58706
- new upstream release (1.1.1):
  * Remove man suffix special-casing for GNU userland systems

* Thu Aug 03 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.0-1mdv2007.0
+ Revision: 42989
- new upstream release (1.1.0):
  * Adds 3 new autoconf macros:
- XORG_MACROS_VERSION - check to make sure configure is generated with a
  new enough version of util-macros when using macros added after 1.0.0
- XORG_WITH_LINT - defines --with-lint for checking source code with tools
  such as lint & sparse (disabled by default)
- XORG_LINT_LIBRARY - defines --enable-lint-library for making lint
  library to check programs against which link with a library (disabled by
  default)
  * Also updates the XORG_MANPAGE_SECTIONS macro to make GNU/kFreeBSD man page
  sections match the Linux man page sections.
- rebuild to fix cooker uploading
- X11R7.1
- adding the %%clean section
- Fixed packager tag
- increment release
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

